import request from '@/utils/request'
import { getToken } from '@/utils/auth'

// 获取邮件模板列表
export function getEmailTemplateList(params) {
  return request({
    url: '/api/admin/email-template/index',
    method: 'get',
    params
  })
}

// 保存邮件模版（新增/编辑）
export function saveEmailTemplate(data) {
  return request({
    url: '/api/admin/email-template/save',
    method: 'post',
    data
  })
}

// 删除邮件模版
export function deleteEmailTemplate(id) {
  return request({
    url: '/api/admin/email-template/destroy',
    method: 'get',
    params: {
      id,
      token: getToken()
    }
  })
}

export function uploadEmailRecord(data) {
  return request({
    url: '/api/admin/email-record/excel-show',
    method: 'post',
    data
  })
}

// 保存邮件记录
export function saveEmailRecord(data) {
  return request({
    url: '/api/admin/email-record/save',
    method: 'post',
    data
  })
}

// 获取邮件记录列表
export function getEmailRecordList(params) {
  return request({
    url: '/api/admin/email-record/index',
    method: 'get',
    params
  })
}